Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content
Class Value

    java.lang.Object
      com.bea.content.Value

All Implemented Interfaces:
  Serializable

public class Value
extends Object
implements Serializable

The value for a Property. The typed value can be null.

See Also:
  Serialized Form

Constructor Summary
`Value()` Constructs an empty Value.
`Value(BinaryValue binaryValue)` Constructs a BinaryValue Value.
`Value(Boolean booleanValue)` Constructs a Boolean value.
`Value(Calendar calendarValue)` Constructs a Calendar value.
`Value(Double doubleValue)` Constructs a Double value.
`Value(Long longValue)` Constructs a Long value.
`Value(String stringValue)` Constructs a String value.

Method Summary
`int` | `compareTo(Object obj)` Compares this PropertyChoices to obj.
`BinaryValue` | `getBinaryValue()` The value as a BinaryValue.
`Boolean` | `getBooleanValue()` The value as a Boolean.
`Calendar` | `getCalendarValue()` The value as a Calendar.
`Double` | `getDoubleValue()` The value as a Double.
`Long` | `getLongValue()` The value as a Long.
`String` | `getStringValue()` The value as a String.
`Object` | `getValue()` Gets the Value as an Object.
`Object` | `getValueByType(int type)` Return the correct value based on the type.
`String` | `toString()` Returns the Value as a String, except if the value is Binary, in which case mimeType, name and size is returned.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Value

    public Value()

  Constructs an empty Value.

### Value

    public Value(BinaryValue binaryValue)

  Constructs a BinaryValue Value.

### Value

    public Value(Boolean booleanValue)

  Constructs a Boolean value.

### Value

    public Value(Calendar calendarValue)

  Constructs a Calendar value.

### Value

    public Value(Double doubleValue)

  Constructs a Double value.

### Value

    public Value(Long longValue)

  Constructs a Long value.

### Value

    public Value(String stringValue)

  Constructs a String value.

Method Detail

### getBinaryValue

    public BinaryValue getBinaryValue()

  The value as a BinaryValue.

### getBooleanValue

    public Boolean getBooleanValue()

  The value as a Boolean.

### getCalendarValue

    public Calendar getCalendarValue()

  The value as a Calendar.

### getDoubleValue

    public Double getDoubleValue()

  The value as a Double.

### getLongValue

    public Long getLongValue()

  The value as a Long.

### getStringValue

    public String getStringValue()

  The value as a String.

### getValueByType

    public Object getValueByType(int type)

  Return the correct value based on the type. The user will then cast it to the appropriate object.

### getValue

    public Object getValue()

  Gets the Value as an Object.

### compareTo

    public int compareTo(Object obj)

  Compares this PropertyChoices to obj. This performs a native compare on all types, except Calendar is compared based on the time in milliseconds and BinaryValue is compared by name.

### toString

    public String toString()

  Returns the Value as a String, except if the value is Binary, in which case mimeType, name and size is returned.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved